libmagic

Implementation of the file(1) command
https://www.darwinsys.com/file/

Current version
5.32

libmagic requires the following formula to be installed:
python 2.7.14_2 Interpreted, interactive, object-oriented programming language

Reverse dependencies

The following formulae require libmagic to be installed:
omega 1.4.3 Packaged search engine for websites, built on top of Xapian
alot 0.6 Text mode MUA using notmuch mail
mediatomb 0.12.1_2 Open source (GPL) UPnP MediaServer
moc 2.5.2_2 Terminal-based music player
file-roller 3.26.2 GNOME archive manager
ohcount 3.1.0 Source code line counter
sratoolkit 2.8.2-5 Data tools for INSDC Sequence Read Archive
radare2 2.2.0 Reverse engineering framework
suricata 4.0.3 Network IDS, IPS, and security monitoring engine
git-annex 6.20180112 Manage files with git without checking in file contents
file-formula 5.32 Utility to determine file types
rpm 4.14.1 Standard unix software packaging tool

Recent formula history

ilovezfs libmagic: depend on python instead of :python
ilovezfs Use “squiggly” heredocs.
ilovezfs libmagic 5.32
Zhiming Wang libmagic: add test (#16071)
ilovezfs libmagic 5.31

Formula code at GitHub